Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

fix dependency handling for Grails 2.0

  • Loading branch information...
commit 35496ce511a5b369476a10df99d7bb687132f98c 1 parent 6d9f2be
@graemerocher graemerocher authored
View
25 src/main/groovy/org/grails/gradle/plugin/GrailsDependenciesUtil.groovy
@@ -8,18 +8,27 @@ class GrailsDependenciesUtil {
String name = configuration.name
project.dependencies {
- ["bootstrap", "scripts", "resources"].each {
- "$name"("org.grails:grails-$it:${grailsVersion}") {
- exclude group: "org.slf4j"
+ if(grailsVersion.startsWith("1.")) {
+ ["bootstrap", "scripts", "resources"].each {
+ "$name"("org.grails:grails-$it:${grailsVersion}") {
+ exclude group: "org.slf4j"
+ }
+ }
+
+ if (grailsVersion.startsWith("1.3")) {
+ "$name"("org.apache.ant:ant:1.8.2")
+ }
+
+ if (!grailsVersion.startsWith("2")) {
+ "$name"("org.apache.ivy:ivy:2.1.0")
}
- }
- if (grailsVersion.startsWith("1.3")) {
- "$name"("org.apache.ant:ant:1.8.2")
}
+ else {
+ "$name"("org.grails:grails-dependencies:${grailsVersion}")
+ "$name"("org.grails:grails-scripts:${grailsVersion}")
+ "$name"("org.grails:grails-resources:${grailsVersion}")
- if (!grailsVersion.startsWith("2")) {
- "$name"("org.apache.ivy:ivy:2.1.0")
}
}
}
Please sign in to comment.
Something went wrong with that request. Please try again.